# ZoneMultiPath

#### CONSOLE

initConsole : methode pour affichage du deroulement sur la console, parametre le debit (par defaut 9600);
 
#### CONTROLE
 
initControle : methode qui permet de definir deux leds (libre/occupe) et un bouton pour le reset. Elle peut-etre utile pour un TCO     
           
#### COMMANDE
 
initComande : methode qui permet de definir une sortie pour des leds, une sortie en cas de passage libre 
et une sortie en cas de passage occupe. Elle peut-etre utile pour commander des organes externes (feux de route, barrières).

Dans le cas d'un passage libre le programme 

* desactive la sortie LED (etat LOW) 
* active la sortie libre (etat HIGH)
* desactive la sortie occupee (etat LOW)

Dans le cas d'un passage occupé le programme 

* active la sortie LED (etat HIGH) 
* desactive la sortie libre (etat LOW) 
* active la sortie occupee (etat HIGH)
 
zoneMultiPath passage (actionFreeZone,actionBusyZone) : 
Permet de creer ses propres routines de gestion d'un passage,remplace la methode initCommand(). 
La premiere routine est pour le cas d'un passage libre et la seconde pour le cas d'un passage occupe.
 
 
#### La configuration:

Elle consiste a fournir l'ensemble des broches utilisees, a determiner les zones du passage et les capteurs associes et a regler le temps d'attente entre le passage occupe et le passage libre.

Il faut ensuite dans la methode setup pour chaque capteur appeler la methode :

 initCapteur(brocheDuCapteur, numeroDeZone, nom);

Les deux premiers parametres sont obligatoires, le nom est optionnel
 
 L'execution consiste a appeler la methode Loop() dans la boucle du programme
 
##  License

Copyright (c) 2017 Locoduino.org. All right reserved. Copyright (c) 2017 Jean-Pierre Claude. All right reserved.

This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License along with this library; if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA